# Interface JacocoLimit

All Superinterfaces:
  `Serializable`

@Incubating public interface JacocoLimit extends Serializable
Defines a Jacoco rule limit.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`String`
`getCounter()`
The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity.
`BigDecimal`
`getMaximum()`
Gets the maximum expected value for limit.
`BigDecimal`
`getMinimum()`
Gets the minimum expected value for limit.
`String`
`getValue()`
The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue.
`void`
`setCounter(String counter)`
Sets the counter that applies to the limit.
`void`
`setMaximum(BigDecimal maximum)`
Sets the maximum expected value for limit.
`void`
`setMinimum(BigDecimal minimum)`
Sets the minimum expected value for limit.
`void`
`setValue(String value)`
Sets the value that applies to the limit.

## Method Details

### getCounter

@Input String getCounter()
The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity. Valid values are INSTRUCTION, LINE, BRANCH, COMPLEXITY, METHOD and CLASS. Defaults to INSTRUCTION.

### setCounter

void setCounter(String counter)
Sets the counter that applies to the limit.

Parameters:
  `counter` - Counter

### getValue

@Input String getValue()
The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue. Valid values are TOTALCOUNT, MISSEDCOUNT, COVEREDCOUNT, MISSEDRATIO and COVEREDRATIO. Defaults to COVEREDRATIO.

### setValue

void setValue(String value)
Sets the value that applies to the limit.

Parameters:
  `value` - Value

### getMinimum

@Input @Optional BigDecimal getMinimum()
Gets the minimum expected value for limit. Default to null.

### setMinimum

void setMinimum(BigDecimal minimum)
Sets the minimum expected value for limit.

Parameters:
  `minimum` - Minimum

### getMaximum

@Input @Optional BigDecimal getMaximum()
Gets the maximum expected value for limit. Default to null.

### setMaximum

void setMaximum(BigDecimal maximum)
Sets the maximum expected value for limit.

Parameters:
  `maximum` - Maximum